import { FontFamily, PlatformSettings, TextItem } from './models';
export interface PublicTranslations {
    statics: Map<string, string>;
    dynamics: Map<string, string>;
}
export declare class T {
    static translations: PublicTranslations | null;
    static _(str: string, domain: string): any;
    static _d(str: string): string;
}
export declare function dataURLtoFile(dataurl: any, filename: any): File;
export declare class StringHelper {
    static padLeft(str: string | number, width: number, char: string): string;
    static padRight(str: string | number, width: number, char: string): string;
    static format(str: string, ...args: string[]): string;
    static camelToSnake(o: any): any[] | {
        [key: string]: {
            val: any;
        };
    };
    static pascalToCamel(o: any): any[] | {
        [key: string]: {
            val: any;
        };
    };
}
export declare class Browser {
    static openWindow(url: string, width: number, height: number): Window | null;
}
export declare class Pagination {
    static nextPage(headerLink: string): string | null;
}
export declare function hex2rgb(c: string): {
    r: number;
    g: number;
    b: number;
};
export declare function rgb2hex(r: any, g: any, b: any): string;
export declare function rgbToHsl(r: any, g: any, b: any): any[];
export declare function hslToRgb(h: any, s: any, l: any): number[];
export declare function hue2rgb(p: any, q: any, t: any): any;
export declare function rgbToHsv(r: any, g: any, b: any): any[];
export declare function hsvToRgb(h: any, s: any, v: any): number[];
export declare const iOS: boolean;
export declare function copy(obj: any): any;
export declare function compare(_obj1: any, _obj2: any): any;
export declare function isValidJSON(code: string): boolean;
export declare function isPlatformCode(code: string): any;
export declare function matchCodes(code1: string, code2: string): any;
export declare function getPlatformSettings(): PlatformSettings;
export declare const IS_ANDROID: boolean;
export declare const IS_IOS: boolean;
export declare const IS_AR_DEVICE_COMPLIANT: boolean;
export declare function uuid(): string;
export declare function sleep(ms: number): Promise<unknown>;
export declare function ascComparator(getProp: (item: any) => string): (a: any, b: any) => 0 | 1 | -1;
export declare function getNavigatorQueryParams(): URLSearchParams;
export declare const sanitizeTextFromUnsupportedAndEmojiCharacters: (item: TextItem, text: string, fonts: FontFamily[]) => string;
